<?php
/*
Plugin Name: تاویا | همکار هوشمند سایت شما
Description: افزونه‌ای برای اضافه کردن سیستم پشتیبانی به سایت.
Version: 1.0.9
Author: Taavsys
Author URI: https://taavsys.com
*/

if (!defined('ABSPATH')) {
    exit;
}

function zhenobot_add_admin_menu() {
    add_menu_page(
        'Zhenobot Settings', 
        'تــاویــا', 
        'manage_options', 
        'zhenobot-settings', 
        'zhenobot_render_settings_page',
        plugin_dir_url(__FILE__) . 'assets/img/logo.svg', 
        120
    );

    add_submenu_page(
        'zhenobot-settings', 
        'Customization', 
        'شخصی سازی افزونه', 
        'manage_options', 
        'zhenobot-customization', 
        'zhenobot_render_customization_page'
    );
}
add_action('admin_menu', 'zhenobot_add_admin_menu');

function zhenobot_render_settings_page() {
    $content = plugin_dir_path(__FILE__) . 'templates/settings-page.php';
    include plugin_dir_path(__FILE__) . 'templates/base-template.php';
}

function zhenobot_render_customization_page() {
    $content = plugin_dir_path(__FILE__) . 'templates/customization-page.php';
    include plugin_dir_path(__FILE__) . 'templates/base-template.php';
}

// Function to add scripts to WordPress
function enqueue_custom_js_files_for_zenobot() {
    wp_enqueue_script('signal-js', plugin_dir_url(__FILE__) . 'assets/js/SignalR.js', array(), '1.0', true);
    wp_enqueue_script('chat-js', plugin_dir_url(__FILE__) . 'sample/plugin.js', array(), '1.0', true);
}

// Hook to add scripts to the frontend of the site
add_action('wp_enqueue_scripts', 'enqueue_custom_js_files_for_zenobot');
